Subject: bug#18337: 24.4.50; apropos fails on "scroll"

From: Detlev Zundel <[email-masked]>
Date: Thu, 28 Aug 2014 11:04:48 +0200

Hi Drew,

thanks for looking into this.

>> Simply call M-x apropos and enter "scroll".  This produces this
>> error:
>> 
>> mapconcat: Wrong type argument: symbolp, 0
>
> FWIW, I cannot repro it with this build:
>
> In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
>  of 2014-06-28 on ODIEONE
> Bzr revision: 117431 [email-masked]
> Windowing system distributor `Microsoft Corp.', version 6.1.7601
> Configured using:
>  `configure --prefix=/c/Devel/emacs/snapshot/trunk
>  --enable-checking=yes,glyphs 'CFLAGS=-O0 -g3'
>  LDFLAGS=-Lc:/Devel/emacs/lib 'CPPFLAGS=-DGC_MCHECK=1
>  -Ic:/Devel/emacs/include''

Maybe I should add that this is a build from a
git://git.savannah.gnu.org/emacs.git - the last commit in there is:

  commit c4d022dad4d77869e4c8b8cefd4281fd0f3bd41a
  Author: Michael Albinus <[email-masked]>
  Date:   Wed Aug 27 13:22:37 2014 +0200
  
      * lisp.h (str_collate):
      * sysdep.c (str_collate): Return int.
      (str_collate) [__STDC_ISO_10646__]: Propagate error of wcscoll.

But back to the issue.  I debuged this a little bit and found this to be
the problem:

(when (setq properties (symbol-plist 'vertical-scroll-bar))
  (setq doc (list (car properties)))
  (while (setq properties (cdr (cdr properties)))
    (setq doc (cons (car properties) doc)))
  (nreverse doc))

=> (0 event-symbol-element-mask event-symbol-elements modifier-cache variable-documentation)
  
Applying 'symbol-name to that list then yields the error.  Why
vertical-scroll-bar has this plist is beyond me however.  Does this ring
a bell to someone?

Thanks
  Detlev

-- 
Applied mathematicians do it by computer simulation.